xmonad-contrib-0.13: Third party extensions for xmonad

Copyright | (c) Devin Mullins <me@twifkak.com>
License | BSD
Maintainer | Devin Mullins <me@twifkak.com>
Stability | stable
Portability | unportable
Safe Haskell | None
Language | Haskell98

XMonad.Config.Azerty

Contents

- Usage

Description

This module fixes some of the keybindings for the francophone among you who use an AZERTY keyboard layout. Config stolen from TeXitoi's config on the wiki.

Synopsis

- azertyConfig :: XConfig (Choose Tall (Choose (Mirror Tall) Full))
- azertyKeys :: XConfig l -> Map (KeyMask, KeySym) (X ())

# Usage

To use this module, start with the following `~/.xmonad/xmonad.hs`:

    import XMonad
    import XMonad.Config.Azerty

    main = xmonad azertyConfig

If you prefer, an azertyKeys function is provided which you can use as so:

    import qualified Data.Map as M
    main = xmonad someConfig { keys = \c -> azertyKeys c <+> keys someConfig c }

azertyConfig :: XConfig (Choose Tall (Choose (Mirror Tall) Full)) #

azertyKeys :: XConfig l -> Map (KeyMask, KeySym) (X ()) #